import request from "@/utils/request";

// 创建wms系统参数
export function createParameter(data) {
    return request({
        url: "/rtkwms/parameter/create",
        method: "post",
        data: data,
    });
}

// 更新wms系统参数
export function updateParameter(data) {
    return request({
        url: "/rtkwms/parameter/update",
        method: "put",
        data: data,
    });
}

// 删除wms系统参数
export function deleteParameter(id) {
    return request({
        url: "/rtkwms/parameter/delete?id=" + id,
        method: "delete",
    });
}

// 获得wms系统参数
export function getParameter(id) {
    return request({
        url: "/rtkwms/parameter/get?id=" + id,
        method: "get",
    });
}

// 获得wms系统参数分页
export function getParameterPage(query) {
    return request({
        url: "/rtkwms/parameter/page",
        method: "get",
        params: query,
    });
}

// 导出wms系统参数 Excel
export function exportParameterExcel(query) {
    return request({
        url: "/rtkwms/parameter/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}